# $Id: $

#
# Copyright (c) 2001-2011 NetApp, Inc., All Rights Reserved
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

## @summary Efficiency Component Module
## @author dl-nacl-dev@netapp.com
## @status shared
## @pod here

=head1 NAME

NACL::C::Efficiency

=head1 DESCRIPTION

This component is an alias of L<NACL::C::VolumeEfficiency|lib-NACL-C-VolumeEfficiency-pm>.
The implementation and documentation of provided functionality is present in
L<NACL::C::VolumeEfficiency|lib-NACL-C-VolumeEfficiency-pm>.

(If a component 'aliascomp' is said to be an alias of component 'comp', then the
same functionality that is present in component 'comp' is also provided by
component 'aliascomp'.)

=cut

package NACL::C::Efficiency;
use NACL::CS::Efficiency;
use base 'NACL::C::VolumeEfficiency';
sub _real_component { 'NACL::C::VolumeEfficiency' }
1;
