
#
# Copyright (c) 2001-2011 NetApp, Inc., All Rights Reserved
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

## @summary License Component Module
## @author dl-nacl-dev@netapp.com
## @status shared
## @pod here

=head1 NAME

NACL::C::License

=head1 DESCRIPTION

This component is an alias of L<NACL::C::SystemLicense|lib-NACL-C-SystemLicense-pm>.
The implementation and documentation of provided functionality is present in
L<NACL::C::SystemLicense|lib-NACL-C-SystemLicense-pm>.

(If a component 'aliascomp' is said to be an alias of component 'comp', then the
same functionality that is present in component 'comp' is also provided by
component 'aliascomp'.)

=cut

package NACL::C::License;
use NACL::CS::License;
use base 'NACL::C::SystemLicense';
sub _real_component { 'NACL::C::SystemLicense' }
1;
