#
# Copyright (c) 2001-2011 NetApp, Inc., All Rights Reserved
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

## @summary SnapshotPolicy Component Module
## @author dl-nacl-dev@netapp.com
## @status shared
## @pod here

=head1 NAME

NACL::C::SnapshotPolicy

=head1 DESCRIPTION

This component is an alias of L<NACL::C::VolumeSnapshotPolicy|lib-NACL-C-VolumeSnapshotPolicy-pm>.
The implementation and documentation of provided functionality is present in
L<NACL::C::VolumeSnapshotPolicy|lib-NACL-C-VolumeSnapshotPolicy-pm>.

(If a component 'aliascomp' is said to be an alias of component 'comp', then the
same functionality that is present in component 'comp' is also provided by
component 'aliascomp'.)

=cut

package NACL::C::SnapshotPolicy;
use NACL::CS::SnapshotPolicy;
use base 'NACL::C::VolumeSnapshotPolicy';
sub _real_component { 'NACL::C::VolumeSnapshotPolicy' }
1;
