#
# Copyright (c) 2001-2013 NetApp, Inc., All Rights Reserved
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

## @summary Common methods for the QosPolicyGroup Component and ComponentState
## @author dl-nacl-dev@netapp.com
## @status shared
## @pod here

package NACL::C::_Mixins::QosPolicyGroup;

use strict;
use warnings;

BEGIN {
    use Exporter qw(import);
    our @EXPORT_OK = qw(_common_zapi_map _common_zapi_copy);
    our %EXPORT_TAGS = ( 'all' => \@EXPORT_OK );
}

sub _common_zapi_map {
    my %map = ('class' => 'policy-group-class');
    return wantarray ? %map : \%map;
}

sub _common_zapi_copy {
    my @copy = (qw(num-workloads max-throughput pgid policy-group uuid vserver));
    return wantarray ? @copy : \@copy;
}

1;
