# $Id: //depot/prod/test/nacldev/lib/NACL/C/_Mixins/VserverServicesLdapClientSchema.pm#2 $

#
# Copyright (c) 2001-2012 NetApp, Inc., All Rights Reserved
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

## @summary Common methods for the VserverServicesLdapClientSchema Component and ComponentState
## @author dl-nacl-dev@netapp.com
## @status shared
## @pod here

package NACL::C::_Mixins::VserverServicesLdapClientSchema;

use strict;
use warnings;

BEGIN {
    use Exporter qw(import);
    our @EXPORT_OK = qw(_common_zapi_copy);
    our %EXPORT_TAGS = ( 'all' => \@EXPORT_OK );
}

sub _common_zapi_copy {
    my @copy = (
        qw(cn-group-attribute cn-netgroup-attribute comment
        gecos-attribute gid-number-attribute home-directory-attribute
        login-shell-attribute member-nis-netgroup-attribute 
        member-uid-attribute nis-netgroup-object-class 
        nis-netgroup-triple-attribute posix-account-object-class 
        posix-group-object-class uid-attribute uid-number-attribute 
        user-password-attribute schema windows-account-attribute
        unique-member-attribute group-of-unique-names-object-class enable-rfc2307bis)
    );
    return wantarray ? @copy : \@copy;
}

1;
