# $Id: //depot/prod/test/nacldev/lib/NACL/CS/StatisticsShowPeriodic.pm#23 $

#
# Copyright (c) 2011 NetApp, Inc., All Rights Reserved
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

## @summary StatisticsShowPeriodicEntry ComponentState Module
## @author Vaibhav.Mittal@netapp.com, dl-nacl-dev@netapp.com
## @status shared
## @pod here

=head1 NAME

NACL::CS::StatisticsShowPeriodicEntry

=head1 DESCRIPTION

<NACL::CS::StatisticsShowPeriodicEntry> is a derived class of
L<NACL::CS::ComponentState::ONTAP|lib-NACL-CS-ComponentState-ONTAP-pm>.  It represents the
information about a single sample displayed by NACL::C::Statistics->show_periodic().
A related class is
L<NACL::C::Statistics|lib-NACL-C-Statistics-pm>, which represents access
to ONTAP statistics.

=head1 ATTRIBUTES

The fields displayed in the output of
NACL::C::Statistics->show_periodic() will be the attributes of this object.
Example:cpu_busy,nfs_ops,cifs_ops

=over

=back

=cut

package NACL::CS::StatisticsShowPeriodicEntry;

use strict;
use warnings;
use base 'NACL::CS::ComponentState::ONTAP';

use Class::MethodMaker [
];

1;
