# Copyright (c) 2001-2014 NetApp, Inc., All Rights Reserved
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

## @summary VserverServicesNameServiceGetxxbyyyGetpwbyname ComponentState Module
## @author dl-nacl-dev@netapp.com
## @status shared
## @pod here

=head1 NAME

NACL::CS::VserverServicesNameServiceGetxxbyyyGetpwbyname

=head1 DESCRIPTION

C<NACL::CS::VserverServicesNameServiceGetxxbyyyGetpwbyname> is a derived class of
L<NACL::CS::ComponentState::ONTAP|lib-NACL-CS-ComponentState-ONTAP-pm>. Object(s) of this
type are returned when NACL::CS::VserverServicesNameServiceGetxxbyyyGetpwbyname->getpwbyname() is invoked.

(This module does not represent the state of any element, but is an object
representation of the output obtained when the getxxbyyy getpwbyname is queried for
Get the  name and other information.

=head1 ATTRIBUTES

The fields of the output are fields of the ComponentState object.

=over

=item C<< username >>

=item C<< pw_passwd >>

=item C<< pw_uid >>

=item C<< pw_gid >>

=item C<< pw_gecos >>

=item C<< pw_dir >>

=item C<< pw_shell >>

=item C<< source_used_for_lookup >>

=back

=cut

package NACL::CS::VserverServicesNameServiceGetxxbyyyGetpwbyname;

use base 'NACL::CS::ComponentState::ONTAP';

use Class::MethodMaker [
    scalar => 'username',
    scalar => 'pw_passwd',
    scalar => 'pw_uid',
    scalar => 'pw_gid',
    scalar => 'pw_gecos',
    scalar => 'pw_dir',
    scalar => 'pw_shell',
    scalar => 'source_used_for_lookup',
];

1;
