#
# Copyright (c) 2001-2014 NetApp Inc.
# All rights reserved.
#
## @summary Provide an exception that will be thrown when
##          filer failed to reach to recovery mode
##
## @author dl-nacl-dev@netapp.com
## @status public
## @pod here

=pod

=head1 Package Name

NACL::MTask::Exceptions::FaiedToReachRecoveryMode

=head1 Author

dl-nacl-dev@netapp.com

=head1 Description

An exception to be thrown when filer failed to reach to recovery mode

=head1 NACL::MTask::Exceptions::FaiedToReachRecoveryMode

=head2 Base Class

NACL::APISet::Exceptions::ResponseException

=head1 See Also

Package inherits from the following modules. See these modules for further
interface details.

B<NACL/APISet/Exceptions/ResponseException>

=cut

package NACL::MTask::Exceptions::FaiedToReachRecoveryMode;

use base qw(NATE::BaseException);

1;
