=head1 NAME

NACL::STask::VolumeQuotaPolicy

=head1 DESCRIPTION

C<NACL::STask::VolumeQuotaPolicy> provides a number of well-defined but potentially
 complex or multi-step methods related to Volume Quota Policy in ONTAP.

It is created on top of C<NACL::C::VolumeQuotaPolicy> component
Since it is derived class of C<NACL::C::VolumeQuotaPolicy>,
we can use all the methods of C<NACL::C::VolumeQuotaPolicy>
from the object of this task.


=head1 METHODS

=head2 create

L<< NACL::STask::STask->create_method_builder|lib-NACL-STask-STask-pm/create_method_builder >>

=head2 purge

L<< NACL::STask::STask->purge_method_builder|lib-NACL-STask-STask-pm/purge_method_builder >>

=cut

package NACL::STask::VolumeQuotaPolicy;

use base qw(NACL::C::VolumeQuotaPolicy NACL::STask::STask);


__PACKAGE__->create_method_builder();

__PACKAGE__->purge_method_builder();

1;
