# Copyright (c) 2016 NetApp, Inc., All Rights Reserved.
# Any use, modification, or distribution is prohibited
# without prior written consent from NetApp, Inc.

## @summary Main Discover service code
## @author bellizzi@netapp.com
## @pod here

=head1 NAME

NACL::Service::Discover - Main Discover service code

=cut

package NACL::Service::Discover;

use strict;
use warnings;

use parent qw(NACL::Service);

use constant public_api =>
    (discover => {worker_type => 'NACL::Service::Discover::Worker'});

#use constant worker_pool_maximums => {'NACL::Service::Discover::Worker' => 3};

1;

