#
# Copyright (c) 2014 NetApp, Inc., All Rights Reserved.
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

package NACL::Service::HelloWorld::Worker;

use strict;
use warnings;

use parent       qw(NATE::Service::Worker);
use NATE::Events qw(eventloop); # XXX: ONLY used for an example to consume clock time
use NATE::Log    qw(log_global);# XXX: Not used, but can be

sub goodnight_moon
{
    my $self = shift;
    my %opts = @_;
    # ...
    my $seconds = $opts{seconds}//5;
    eventloop(seconds=>$seconds);
    return 'Finished wasting ' . $seconds . ' seconds';
}

1;

__END__
