#
# Copyright (c) 2015 NetApp, Inc., All Rights Reserved
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

## @summary CDEF class specific to ZAPI
## @author dl-nacl-dev@netapp.com
## @status Shared
## @pod here

package NACL::APISet::Schema::Cdef::ZapiCdef;

use strict;
use warnings;

use Class::MethodMaker [
    new    => ['-hash', 'new'],
    scalar => 'file',
    scalar => 'command',
    scalar => 'zapi_command_str',
];

1;
