#
# Copyright (c) 2001-2014 NetApp Inc.
# All rights reserved.
#
## @summary Provide an exception that will be thrown by
## MTask/HealthChecker and AppBuilder/HealthChecker/Driver class.
##
## @author dl-nacl-dev@netapp.com
## @status public
## @pod here

=pod

=head1 Package Name

NACL::AppBuilder::Exceptions::HealthChecker

=head1 Author

dl-nacl-dev@netapp.com

=head1 Description

An exception to be thrown when filer failed to reach to recovery mode

=head1 NACL::AppBuilder::Exceptions::HealthChecker

=head2 Base Class

NATE::BaseException

=cut


package NACL::AppBuilder::Exceptions::HealthChecker;
use base qw(NATE::BaseException);

1;
