# $Id: //depot/prod/test/nacldev/lib/NACL/CS/CfCheckstate.pm#1 $

#
# Copyright (c) 2001-2011 NetApp, Inc., All Rights Reserved
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

## @summary CfCheckstate ComponentState Module
## @author sangavai@netapp.com dl-nacl-dev@netapp.com
## @status shared
## @pod here

=head1 NAME

NACL::CS::CfCheckstate

=head1 DESCRIPTION

C<NACL::CS::CfCheckstate> is a derived class of
L<NACL::CS::ComponentState::ONTAP|lib-NACL-CS-ComponentState-ONTAP-pm>.
A related class is L<NACL::C::CfCheckstate|lib-NACL-C-CfCheckstate-pm>,
 which represents access to an ONTAP CfCheckstate.

=head1 ATTRIBUTES

This module does not represent the state of any element, but is an object
repesentation of the output obtained when the cf checkstate is queried

=over

=item C<< "expectedstate" >>

=item C<< "cf_state" >>

=back

=cut

package NACL::CS::CfCheckstate;

use base 'NACL::CS::ComponentState::ONTAP';

use Class::MethodMaker [
    scalar => 'expectedstate',
    scalar => 'cf_state',
];
1;
