#
# Copyright (c) 2001-2011 NetApp, Inc., All Rights Reserved
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

## @summary QuotaPolicyRule ComponentState Module
## @author dl-nacl-dev@netapp.com
## @status shared
## @pod here

=head1 NAME

NACL::CS::QuotaPolicyRule

=head1 DESCRIPTION

This component is an alias of L<NACL::CS::VolumeQuotaPolicyRule|lib-NACL-CS-VolumeQuotaPolicyRule-pm>.
The implementation and documentation of provided functionality is present in
L<NACL::CS::VolumeQuotaPolicyRule|lib-NACL-CS-VolumeQuotaPolicyRule-pm>.

(If a component 'aliascomp' is said to be an alias of component 'comp', then the
same functionality that is present in component 'comp' is also provided by
component 'aliascomp'.)

=cut

package NACL::CS::QuotaPolicyRule;
use base 'NACL::CS::VolumeQuotaPolicyRule';
sub _real_cs { 'NACL::CS::VolumeQuotaPolicyRule' }
1;
