# $Id: //depot/prod/test/nacldev/lib/NACL/CS/SystemServicesNdmpLegacyStatus.pm#1 $

#
# Copyright (c) 2012 NetApp, Inc., All Rights Reserved
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

## @summary ComponentState Module for the method NACL::C::SystemServicesNdmpLegacy->status()
## @author jais@netapp.com, dl-nacl-dev@netapp.com
## @status shared
## @pod here

=head1 NAME

NACL::CS::SystemServicesNdmpLegacy

=head1 DESCRIPTION

C<NACL::CS::SystemServicesNdmpLegacy> is a derived class of
L<NACL::CS::ComponentState::ONTAP|lib-NACL-CS-ComponentState-ONTAP-pm>. Object(s) of this type
are returned when NACL::C::SystemServicesNdmpLegacy->status() is invoked.

((This module does not represent the state of any element, but is an object
repesentation of the output obtained when NACL::C::SystemServicesNdmpLegacy->status() is invoked.)

=head1 ATTRIBUTES

The fields of the output are fields of the ComponentState object.

=over

=item C<< status >>

Filled in for CMode CLI.

=back

=cut

package NACL::CS::SystemServicesNdmpLegacyStatus;

use strict;
use warnings;
use base qw(NACL::CS::ComponentState::ONTAP);
use Class::MethodMaker [
    scalar => 'status',
];

1;
