# Copyright (c) 2014 NetApp, Inc., All Rights Reserved
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

## @summary VserverServicesNameServiceGetxxbyyyGetgrbyname ComponentState Module
## @author dl-nacl-dev@netapp.com
## @status shared
## @pod here

=head1 NAME

NACL::CS::VserverServicesNameServiceGetxxbyyyGetgrbyname.pm

=head1 DESCRIPTION

C<NACL::CS::VserverServicesNameServiceGetxxbyyyGetgrbyname.pm> is a derived class of
L<NACL::CS::ComponentState::ONTAP|lib-NACL-CS-ComponentState-ONTAP-pm>. Object(s) of this
type are returned when NACL::C::VserverServicesNameServiceGetxxbyyy->getgrbyname() is invoked.

(This module does not represent the state of any element, but is an object
representation of the output obtained when the getxxbyyy getgrbyname is queried to get
the Group name by using the GroupName.

=head1 ATTRIBUTES

The fields of the output are fields of the ComponentState object.

=over

=item C<< group_name >>

=item C<< group_id >>

=item C<< group_member >>

=back

=cut

package NACL::CS::VserverServicesNameServiceGetxxbyyyGetgrbyname;

# The fields are same as of VserverServicesNameServiceGetxxbyyyGetgrbyid
use base 'NACL::CS::VserverServicesNameServiceGetxxbyyyGetgrbyid';

1;
