# Copyright (c) 2014 NetApp, Inc., All Rights Reserved
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

## @summary VserverServicesNameServiceGetxxbyyyGetgrlist ComponentState Module
## @author dl-nacl-dev@netapp.com
## @status shared
## @pod here

=head1 NAME

NACL::CS::VserverServicesNameServiceGetxxbyyyGetgrlist.pm

=head1 DESCRIPTION

C<NACL::CS::VserverServicesNameServiceGetxxbyyyGetgrlist.pm> is a derived class of
L<NACL::CS::ComponentState::ONTAP|lib-NACL-CS-ComponentState-ONTAP-pm>. Object(s) of this
type are returned when NACL::C::VserverServicesNameServiceGetxxbyyy->getgrlist() is invoked.

(This module does not represent the state of any element, but is an object
representation of the output obtained when the getxxbyyy getgrlist is queried to get
the list of groups using Groups.

=head1 ATTRIBUTES

The fields of the output are fields of the ComponentState object.

=over

=item C<< pw_name >>

=item C<< groups >>

=back

=cut

package NACL::CS::VserverServicesNameServiceGetxxbyyyGetgrlist ;

use base 'NACL::CS::ComponentState::ONTAP';

use Class::MethodMaker [
    scalar => 'pw_name',
    array  => 'groups',
];

1;
