#
# $Id: //depot/prod/test/nacldev/lib/NACL/Exceptions/ElementNotFoundInShelfLog.pm#1 $
#
# Copyright (c) 2012 NetApp Inc.
# All rights reserved.
#
## @summary Provide an exception class that is a subclass of
##          NATE::BaseException that will be thrown when a user passed
##          value doesn't exist in the shelflog
##
## @author sangavai@netapp.com, dl-nacl-dev@netapp.com
## @status Shared
## @pod here

=pod

=head1 Package Name

NATE::Exceptions::ElementNotFoundInShelfLog

=head1 Author/Maintainer

Sangavai Pari, dl-nacl-dev

=head1 Description

An exception for expected value not present in the shelf log.

=head1 See Also

Package inherits from the BaseException module in NATE.

=head1 NACL::Exceptions::ElementNotFoundInShelfLog

=head2 Expected use

when the value passed by the user not found in shelf log.

=head2 Base Class

NATE::BaseException

=cut

package NACL::Exceptions::ElementNotFoundInShelfLog;
use base qw(NATE::BaseException);
1;
