use utf8;
package NACL::ResourceList::Schema::Result::TestExecutionDetails;

=head1 NAME

NACL::ResourceList::Schema::Result::TestExecutionDetails

=cut

use strict;
use warnings;

use base 'DBIx::Class::Core';

=head1 TABLE: C<Test_Execution_Details>

=cut

__PACKAGE__->table("Test_Execution_Details");

=head1 ACCESSORS

=head2 subject

  data_type: 'varchar'
  is_nullable: 0
  size: 45

=head2 detail

  data_type: 'varchar'
  is_nullable: 1
  size: 45

=cut

__PACKAGE__->add_columns(
  "subject",
  { data_type => "varchar", is_nullable => 0, size => 245 },
  "detail",
  { data_type => "varchar", is_nullable => 1, size => 1024 },
);


1;
