#
# Copyright (c) 2015 NetApp, Inc., All Rights Reserved
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#
## @summary Volume Quota Specific Exception Module
## @author dl-quotas-dev@netapp.com
## @pod here

=pod

=head1 Package Name

NACL::STask::Exceptions::VolumeQuotaReportVerify

=head1 Description

Provides a collection of basic exceptions associated with Quota
report verification.

=head1 See Also

See NATE::Exception module for further interface detail.

=head1 NACL::STask::Exceptions::VolumeQuotaReportVerify

=head2 Expected use

Mostly this should be the base class for more specific exceptions.  All
exceptions that are subclasses of NACL::STask::Exceptions::VolumeQuotaReportVerify will be
caught if the catch clause checks NACL::STask::Exceptions::VolumeQuotaReportVerify.

=head2 Base Class

NATE::BaseException

=cut 

package NACL::STask::Exceptions::VolumeQuotaReportVerify;
use base qw(NATE::BaseException);
1;

