#!/usr/software/bin/perl5.14.0

use strict;
use warnings;

use Test::Most import => ['!subtest'];

use NACL::UnitTest::MTask::MCC::MockObject;
use NACL::UnitTest::MTask::MCC::TestUtils ':all';
#use NACL::CS::NetworkInterface;

MAIN: {
    test_use_mcc();
    test_network_interface();
    done_testing();
}

sub test_network_interface {

    my $mcc = make_mock_mcc();

    my $mock_ni = mock_network_interfaces();

    $mcc->set_always(
        'get_disaster_status',
        {   DR_state        => 'normal',
            'survivor_site' => 'A',
            'disaster_site' => 'B'
        }
    );

    my $rc;
    lives_ok {
        $rc = $mcc->validate_network_interface_show();
    };

}
